<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: login.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header-login.php";
include LOCALE.LOCALESET."login.php";

add_to_title($locale['global_200'].$locale['global_100']);

if (iMEMBER) {
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");

	echo "<div id='cont'>";
	echo "<div class='box lock'> </div>";
	echo "<div id='loginform' class='box form'>";
	echo "<h2>".$userdata['user_name']." <a href='' class='close'>".$locale['lo001']."</a></h2>";
	echo "<div class='formcont'>\n";
	echo "<fieldset id='signin_menu'>\n";
	echo "<span class='message'></span>\n";
	echo "<div style='text-align:center'><br />\n";
	echo THEME_BULLET." <a href='".BASEDIR."edit_profile.php' class='side'>".$locale['global_120']."</a><br />\n";
	echo THEME_BULLET." <a href='".BASEDIR."messages.php' class='side'>".$locale['global_121']."</a><br />\n";
	echo THEME_BULLET." <a href='".BASEDIR."members.php' class='side'>".$locale['global_122']."</a><br />\n";

	if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
		echo THEME_BULLET." <a href='".ADMIN."index.php".$aidlink."' class='side'>".$locale['global_123']."</a><br />\n";
	}

	echo THEME_BULLET." <a href='".BASEDIR."index.php?logout=yes' class='side'>".$locale['global_124']."</a>\n";

	if ($msg_count) {
		echo "<br /><br />\n";
		echo "<strong><a href='".BASEDIR."messages.php' class='side'>".sprintf($locale['global_125'], $msg_count);
		echo ($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."</a></strong>\n";
	}

	echo "<br /><br /></div>\n";
	echo "</fieldset>\n";
	echo "</div>\n";
	echo "<div class='formfooter'></div>\n";
	echo "</div>\n";
	echo "</div>\n";
} else {
	$action_url = $settings['opening_page'];
	echo "<div id='cont'>";
	echo "<div class='box lock'> </div>";
	echo "<div id='loginform' class='box form'>";
	echo "<h2>".$locale['global_100']." <a href='' class='close'>".$locale['lo001']."</a></h2>";
	echo "<div class='formcont'>\n";
	echo "<fieldset id='signin_menu'>\n";
	
	if (isset($_GET['error']) && isnum($_GET['error'])) {
		if (isset($_GET['redirect']) && strpos(urldecode($_GET['redirect']), "/") === 0) {
			$action_url = cleanurl(urldecode($_GET['redirect']));
		}

		echo "<span class='message'>";
		switch ($_GET['error']) {
			case 1:
				echo "<b>".$locale['global_196']."</b>";
				break;
			case 2:
				echo $locale['global_192'];
				break;
			case 3:
				if (isset($_COOKIE[COOKIE_PREFIX."user"])) {
					redirect($action_url);
				} else {
					echo $locale['global_193'];
				}
				break;
			case 4:
				if (isset($_GET['status']) && isnum($_GET['status'])) {

					$id = ((isset($_GET['id']) && isnum($_GET['id'])) ? $_GET['id'] : "0");

					switch($_GET['status']) {
						case 1:
							$data = dbarray(dbquery(
								"SELECT suspend_reason FROM ".DB_SUSPENDS."
								WHERE suspended_user='".$id."'
								ORDER BY suspend_date DESC  LIMIT 1"
							));
							echo $locale['global_406'];
							break;
						case 2:
							echo $locale['global_195'];
							break;
						case 3:
							$data = dbarray(dbquery(
								"SELECT u.user_actiontime, s.suspend_reason FROM ".DB_SUSPENDS." s
								LEFT JOIN ".DB_USERS." u ON u.user_id=s.suspended_user
								WHERE s.suspended_user='".$id."'
								ORDER BY s.suspend_date DESC LIMIT 1"
							));
							echo $locale['global_407'].showdate('shortdate', $data['user_actiontime']);
							echo $locale['global_408']."<br /><br />".$data['suspend_reason'];
							break;
						case 4:
							echo $locale['global_409'];
							break;
						case 5:
							echo $locale['global_411'];
							break;
						case 6:
							echo $locale['global_412'];
							break;
					}
				}
				break;
		}
		echo "</span>\n";
	}

	echo "<span class='message'></span>\n";
	echo "<form method='post' name='loginpageform' action='".$action_url."'>\n";
	echo "<label for='username'>".$locale['global_101']."</label>\n";
	echo "<input id='username' name='user_name' value='' title='user_name' class='required' tabindex='4' type='text'>\n";
	echo "</p>\n";
	echo "<p>\n";
	echo "<label for='password'>".$locale['global_102']."</label>\n";
	echo "<input id='password' name='user_pass' value='' title='user_pass' class='required' tabindex='5' type='password'>\n";
	echo "</p>\n";
	echo "<p class='clear'></p>\n";
	if ($settings['enable_registration']) {
		echo "<br />".$locale['global_105']."<br /><br />\n";
	}
	echo $locale['global_106'];
	echo "<p class='remember'>\n";
	echo "<input id='signin_submit' tabindex='6' type='submit' name='login' value='".$locale['global_104']."' class='button' />\n";
	echo "</p>\n";
	echo "</form>\n";
	echo "</fieldset>\n";
	echo "</div>\n";
	echo "<div class='formfooter'></div>\n";
	echo "</div>\n";
	echo "</div>\n";
}

// Begin Full page background technique
echo "<div id='bg'><div>\n";
echo "<table cellspacing='0' cellpadding='0'><tr>\n";
echo "<td><img src='".BASEDIR."login/images/bg.jpg' alt='' /></td>\n";
echo "</tr></table>\n";
echo "</div></div>\n";
// End Full page background technique

?>